import type { MaybeGetter } from "../../internal/types.js";
import { type UseIntersectionObserverOptions } from "../useIntersectionObserver/useIntersectionObserver.svelte.js";
export type IsInViewportOptions = UseIntersectionObserverOptions;
/**
 * Tracks if an element is visible within the current viewport.
 *
 * @see {@link https://runed.dev/docs/utilities/is-in-viewport}
 */
export declare class IsInViewport {
    #private;
    constructor(node: MaybeGetter<HTMLElement | null | undefined>, options?: IsInViewportOptions);
    get current(): boolean;
}
